<?php
require_once('../clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', '../clases/xajax/');
$xajax->setCharEncoding("ISO-8859-1");

function xExportar($varForm) {
	$varEmp = ($varForm["emp"]<>"Ninguno" && $varForm["emp"]<>"")? $varForm["emp"]:"NULL";
	$varLis = ($varForm["lis"]<>"Ninguno" && $varForm["lis"]<>"")? $varForm["lis"]:"NULL";
	$varTip = ($varForm["tip"]<>"Ninguno" && $varForm["tip"]<>"")? "'".$varForm["tip"]."'":"NULL";
	$varMet = ($varForm["met"]<>"Ninguno" && $varForm["met"]<>"")? "'".$varForm["met"]."'":"NULL";
	$varInc = ($varForm["inc"]<>"")? $varForm["inc"]:"NULL";
	$varUsr = (isset($_SESSION["_CUSE"]))?$_SESSION["_CUSE"]:1;
	$varFie = (isset($varField) && $varField<>'')? "'$varField'":"NULL";
	$varOrd = (isset($varOrder) && $varOrder<>'')? "'$varOrder'":"NULL";
	
	$sql = "call spMante_Lista_Precios_Generar($varEmp, $varLis, $varTip, $varMet, $varInc, 'Q', $varUsr);)";
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = (isset($varForm["titu"]))?$varForm["titu"]:"Reporte";	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("../export.php?page=$varTitulo");
    return $objResponse;
	}

function xBuscar($varForm, $varField, $varOrder) {
	$var = VarServer("MYSQLI");
	$obj = new clsListaPreciosGenerar($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDatos($varForm, $varField, $varOrder);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", $varTabla);
	return $respuestaXajax;
	}
		
function xGrabar($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsListaPreciosGenerar($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varResul = $obj->ProcesoGrabar($varForm);
	$respuestaXajax = new xajaxResponse();
	if ($varResul=="OK") {
		$varTabla.= $obj->FormuBusqueda();
		$varTabla.= "<div id=\"divDatos\">";
		//$varTabla.= $obj->GridDatos();		
		$varTabla.= "</div>";
		$respuestaXajax->assign("divForm", "innerHTML", $varTabla);
		}
	else
		$respuestaXajax->alert("ERROR AL PROCESAR DATOS...!!!!!\n".$varResul."\nVERIFIQUE LOS DATOS POR FAVOR");
		
	return $respuestaXajax;
	}
	
$xajax->register(XAJAX_FUNCTION, 'comboListaLP');
$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');
$xajax->register(XAJAX_FUNCTION, 'xGrabar');

$xajax->processRequest();
$xajax->printJavascript("../clases/xajax");
?>
<script language="javascript">
	function xBuscarJS(varField, varOrder) {
		if (xajax.$("emp") && xajax.$("emp").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA");  
			xajax.$("emp").focus();
			return (false); 
			}
		else if (xajax.$("lis") && xajax.$("lis").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA LISTA DE PRECIOS");  
			xajax.$("lis").focus();
			return (false); 
			}
		else if (xajax.$("tip") && xajax.$("tip").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR ORIGEN DE PRODUCTOS");  
			xajax.$("tip").focus();
			return (false); 
			}
		else if (xajax.$("met") && xajax.$("met").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN METODO DE CALCULO");  
			xajax.$("met").focus();
			return (false); 
			}
		else if (xajax.$("inc") && xajax.$("inc").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UN PORCENTAJE DE INCREMENTO");  
			xajax.$("inc").focus();
			return (false); 
			}
		else {
			xajax_xBuscar(xajax.getFormValues('form'),varField, varOrder);
			}
		}
	function xExportarJS() {
		if (xajax.$("emp") && xajax.$("emp").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA");  
			xajax.$("emp").focus();
			return (false); 
			}
		else if (xajax.$("lis") && xajax.$("lis").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA LISTA DE PRECIOS");  
			xajax.$("lis").focus();
			return (false); 
			}
		else if (xajax.$("tip") && xajax.$("tip").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR ORIGEN DE PRODUCTOS");  
			xajax.$("tip").focus();
			return (false); 
			}
		else if (xajax.$("met") && xajax.$("met").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN METODO DE CALCULO");  
			xajax.$("met").focus();
			return (false); 
			}
		else if (xajax.$("inc") && xajax.$("inc").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UN PORCENTAJE DE INCREMENTO");  
			xajax.$("inc").focus();
			return (false); 
			}
		else {
			xajax_xExportar(xajax.getFormValues('form'));
			}
		}
	function xGrabarJS() {
		if (xajax.$("emp") && xajax.$("emp").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA");  
			xajax.$("emp").focus();
			return (false); 
			}
		else if (xajax.$("lis") && xajax.$("lis").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA LISTA DE PRECIOS");  
			xajax.$("lis").focus();
			return (false); 
			}
		else if (xajax.$("tip") && xajax.$("tip").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR ORIGEN DE PRODUCTOS");  
			xajax.$("tip").focus();
			return (false); 
			}
		else if (xajax.$("met") && xajax.$("met").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN METODO DE CALCULO");  
			xajax.$("met").focus();
			return (false); 
			}
		else if (xajax.$("inc") && xajax.$("inc").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UN PORCENTAJE DE INCREMENTO");  
			xajax.$("inc").focus();
			return (false); 
			}
		if (_confirm('&iquest;DESEA GRABAR LOS DATOS?')) {
			xajax_xGrabar(xajax.getFormValues('form'));		
			}
		}
</script>
<?php
function MyTable($obj, $Titulo, $Opcion, $Valor) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";
	//echo $obj->GridDatos();		
	echo "</div>";
	echo "</div>";	
	} 
?>